parameters:
    pim_enrich.view_element.attribute.tab.history.template:   '@@PimUI/Form/Tab/history.html.twig'

    pim_enrich.attribute.general_parameters.allowed_form_types:
        - code
        - type
        - scopable
        - reference_data_name
        - localizable
        - unique
        - availableLocales
    pim_enrich.attribute.backend_parameters.allowed_form_types:
        - group
        - useableAsGridFilter

services:
    pim_enrich.view_element.attribute.tab.history:
        class: '%pim_enrich.view_element.base.class%'
        arguments:
            - 'pim_enrich.attribute.tab.history'
            - '%pim_enrich.view_element.attribute.tab.history.template%'
        calls:
            - [ addVisibilityChecker, ['@pim_enrich.view_element.visibility_checker.edit_form'] ]
            - [ addVisibilityChecker, ['@pim_enrich.view_element.visibility_checker.acl', {acl: 'pim_enrich_attribute_history'}] ]
        tags:
            - { name: pim_enrich.view_element, type: pim_enrich_attribute_form.form_tab, position: 110 }

    ## Sub forms
    pim_enrich.view_element.attribute.general_parameters:
        class: '%pim_enrich.view_element.base.class%'
        arguments:
            - 'pane.accordion.general_parameters'
            - '@@PimUI/Attribute/Tab/_default_parameter_form.html.twig'
            -
                allowed_form_types: '%pim_enrich.attribute.general_parameters.allowed_form_types%'
        tags:
            - { name: pim_enrich.view_element, type: pim_enrich_attribute_form.general_parameters, position: 90 }

    pim_enrich.view_element.attribute.backend_parameters:
        class: '%pim_enrich.view_element.base.class%'
        arguments:
            - 'pane.accordion.backend_parameters'
            - '@@PimUI/Attribute/Tab/_default_parameter_form.html.twig'
            -
                allowed_form_types: '%pim_enrich.attribute.backend_parameters.allowed_form_types%'
        tags:
            - { name: pim_enrich.view_element, type: pim_enrich_attribute_form.backend_parameters, position: 90 }
